
public abstract class Class536 {

   static final int anInt7283 = 2;
   public int anInt7284;
   static final int anInt7285 = 4;
   static final int anInt7286 = 1;
   static final int anInt7287 = 8;
   int anInt7288;
   public int anInt7289;
   public static Class182_Sub1_Sub1 aClass182_Sub1_Sub1_7290;


   public boolean method11292(int var1) {
      return 0 != (this.anInt7284 * 1352295453 & 1);
   }

   public boolean method11293(byte var1) {
      return (1352295453 * this.anInt7284 & 8) != 0;
   }

   public boolean method11294(int var1) {
      return (1352295453 * this.anInt7284 & 4) != 0;
   }

   public boolean method11295() {
      return (this.anInt7284 * 1352295453 & 2) != 0;
   }

   public boolean method11296() {
      return 0 != (this.anInt7284 * 1352295453 & 1);
   }

   public boolean method11297() {
      return (1352295453 * this.anInt7284 & 4) != 0;
   }

   public boolean method11298() {
      return (1352295453 * this.anInt7284 & 4) != 0;
   }

   public boolean method11299() {
      return (1352295453 * this.anInt7284 & 4) != 0;
   }

   public boolean method11300() {
      return (1352295453 * this.anInt7284 & 4) != 0;
   }

   public boolean method11301() {
      return (1352295453 * this.anInt7284 & 4) != 0;
   }

   public boolean method11302(int var1) {
      return (this.anInt7284 * 1352295453 & 2) != 0;
   }

   static final void method11303(Class508 var0, int var1) {
      Class505 var10000;
      if(var0.aBool6014) {
         if(var1 >= 2081452209) {
            ;
         }

         var10000 = var0.aClass505_6011;
      } else {
         var10000 = var0.aClass505_6010;
      }

      Class505 var2 = var10000;
      Class124 var3 = var2.aClass124_5977;
      Class121 var4 = var2.aClass121_5978;
      Class363.method6464(var3, var4, var0, -1463708360);
   }

   public static boolean method11304(int var0, int var1) {
      return var0 >= -1372814303 * Class458.aClass458_5712.anInt5719 && var0 <= Class458.aClass458_5720.anInt5719 * -1372814303;
   }

   static final void method11305(Class508 var0, byte var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      if(client.anInt7769 * 995204269 == 2) {
         if(var1 == 9) {
            ;
         }

         if(var2 < client.anInt7651 * 1907362565) {
            if(var1 == 9) {
               return;
            }

            int[] var10000 = var0.anIntArray6027;
            int var10001 = (var0.anInt6003 += 98312473) * -937710807 - 1;
            byte var10002;
            if(client.aClass13Array7931[var2].aBool170) {
               if(var1 == 9) {
                  return;
               }

               var10002 = 1;
            } else {
               var10002 = 0;
            }

            var10000[var10001] = var10002;
            return;
         }
      }

      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 0;
   }

   static final void method11306(Class124 var0, Class121 var1, Class508 var2, int var3) {
      String var4 = (String)var2.anObjectArray6004[(var2.anInt6005 -= -46848683) * 639741949];
      if(Class245.method4382(var4, var2, (byte)105) != null) {
         if(var3 <= 1173734948) {
            ;
         }

         var4 = var4.substring(0, var4.length() - 1);
      }

      var0.anObjectArray1468 = Class193.method3350(var4, var2, -881234177);
      var0.aBool1520 = true;
   }

   public static Class225_Sub12_Sub2 method11307(int var0) {
      return Class104.aClass225_Sub12_Sub2_1026;
   }
}
